%define upstream_name Horde_Template
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.1
Release:     	%mkrel 1
Summary:    	Horde Authentication API
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Template = %{version}

%description
Horde Template system. Adapted from bTemplate, by Brian Lozier
<brian@massassi.net>.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Template.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Template.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Template
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Template/COPYING
%{peardir}/Horde/Template.php
%{peardir}/tests/Horde_Template/Horde/Template/AllTests.php
%{peardir}/tests/Horde_Template/Horde/Template/Autoload.php
%{peardir}/tests/Horde_Template/Horde/Template/TemplateTest.php
%{xmldir}/Horde_Template.xml


%changelog

* Thu Dec 29 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 188792
- upgrade to 1.0.1
-Provides:      	php-pear-Horde_Template
  +Provides:      	php-pear-Horde_Template = %%{version}
- imported package php-pear-Horde_Template

